<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Chapter 1. Introduction</title><link rel="stylesheet" href="synopsis.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.73.2" /><link rel="start" href="index.html" title="Synopsis Tutorial" /><link rel="up" href="index.html" title="Synopsis Tutorial" /><link rel="prev" href="index.html" title="Synopsis Tutorial" /><link rel="next" href="inspecting.html" title="Inspecting Code" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 1. Introduction</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="index.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="inspecting.html">Next</a></td></tr></table></div><div class="chapter" lang="en" xml:lang="en"><div class="titlepage"><div><div><h2 class="title"><a id="intro"></a>Chapter 1. Introduction</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="inspecting.html">Inspecting Code</a></span></dt><dt><span class="section"><a href="ir.html">Internal Representations</a></span></dt><dt><span class="section"><a href="documenting.html">Documenting Source-Code</a></span></dt><dt><span class="section"><a href="processing.html">The Synopsis Processing Pipeline</a></span></dt></dl></div><p>
      Synopsis is a source code introspection tool. It provides parsers for a variety
      of programming languages (C, C++, Python, IDL), and generates internal representations
      of varying granularity. The only <span class="emphasis"><em>stable</em></span> representation, which
      is currently used among others to generate documentation, is an Abstract Semantic Graph.
    </p><p>
      This tutorial is focussed on the ASG and the concepts around it. Other representations
      are presently being worked on, notably in relation to the C++ parser. To learn more
      about those (Parse Tree, Symbol Table, etc.) see the 
      <a class="ulink" href="../DevGuide/index.html" target="_top">Developer's Guide</a>.
    </p></div><div class="navfooter"><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="index.html">Prev</a> </td><td width="20%" align="center"> </td><td width="40%" align="right"> <a accesskey="n" href="inspecting.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Synopsis Tutorial </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> Inspecting Code</td></tr></table></div></body></html>
